window.Vue = require('vue');
import Vue from 'vue';
import Vuetify from 'vuetify';
import VueRouter from 'vue-router';
import Vuex from 'vuex';

import App from './App.vue';
import { routes } from './router';
import stores from './store';

Vue.use(Vuetify);
Vue.use(VueRouter);
Vue.use(Vuex);
Vue.component('example-component', require('./components/ExampleComponent.vue').default);

const router = new VueRouter({
    routes,
    mode: 'history'
});

const store = new Vuex.Store(stores);

const app = new Vue({
    el: '#app',
    router,
    store,
    render: h => h(App)
});
